--- title: "Get task run" slug: "nclue-gettaskrun" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-gettaskrun" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get task run Available in VPC Get the details of a created task model run. You can check the progress of the created run, the tasks applied to the run, the features applied to the tasks, and the name of the Object Storage bucket and file path where the job results are stored. If the creation fails, you can see the error message. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /task-runs/{run_id} | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `run_id` | String | Required | Run ID - See [Get task run list](/docs/en/nclue-gettaskrunlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nclue.apigw.ntruss.com/api/v1/task-runs/{run_id}' \ --header 'X-NCP-APIGW-TIMESTAMP: {Timestamp}' \ --header 'X-NCP-IAM-ACCESS-KEY: {Access Key}' \ --header 'X-NCP-APIGW-SIGNATURE-V2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `run_id` | String | - | Run ID | | `run_name` | String | - | Run name | | `task_id` | String | - | Task ID to apply | | `task_name` | String | - | Task name to apply | | `feature_id` | String | - | ID of the feature applied to the task | | `feature_name` | String | - | Name of the feature applied to the task | | `status` | String | - | Run status - `registered` \| `pending` \| `in_progress` \| `completed` \| `failed` - `registered`: Registered - `pending`: Pending - `in_progress`: Creating - `completed`: Available - `failed`: Failed | | `created_at` | String | - | Run creation request date and time - ISO 8601 format | | `completed_at` | String | - | Run creation completion date and time - ISO 8601 format | | `result_bucket` | String | - | Name of the Object Storage bucket where the job result is stored | | `result_file_path` | String | - | Path of the `result_bucket` file where the job result is stored | | `nclue_model_name` | String | - | NCLUE model name used when creating feature (e.g., NFM02) | | `nclue_model_status` | String | - | Current status of the NCLUE model - `active`: Currently available - `deprecated`: No longer used | | `line_count` | Integer | - | Number of lines of the feature applied to the task | | `fail_message` | String \| null | - | Creation failure message - Return a message on creation failure, or null on success. - For solutions to each message, see [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "run_id": "f475197f-****-****-****-faf3dd580179", "run_name": "YOUR_RUN_NAME", "task_id": "3179664c-****-****-****-af6354344018", "task_name": "YOUR_TASK_NAME", "feature_id": "e48585fd-****-****-****-754aa0b7ba82", "feature_name": "YOUR_FEATURE_NAME", "status": "completed", "created_at": "2024-11-26T14:53:33", "completed_at": "2024-11-26T14:54:01", "result_bucket": "YOUR_BUCKET_NAME", "result_file_path": "path/filename", "nclue_model_name": "NFM2", "nclue_model_status": "active", "line_count": 9370, "fail_message": null } ```